/////////////////////////////////////////////////////////////////////////////////////////
// copy / overwrite all the files inside the newdebug folder to your game (\office) folder
// don't forget to include newdebug.wdl in your main game file (office.wdl if you are using the templates)
// place this line at the end of your main function: toggle_debug();
/////////////////////////////////////////////////////////////////////////////////////////

var temp_texskins;
var temp_texbmaps;
var temp_texsurfs;
var temp_texsmaps;
var temp_total;
var temp_free;
var temp_fps;

//////////////////////////////////////////////////////////////////////////////////////////

font arial10_font =  <arial10.pcx>, 14, 16;

//////////////////////////////////////////////////////////////////////////////////////////

function toggle_debug();

//////////////////////////////////////////////////////////////////////////////////////////

bmap debug_pcx = <debug.pcx>;

//////////////////////////////////////////////////////////////////////////////////////////

panel debug_panel 
{
	bmap = debug_pcx;
	layer = 30;	
	pos_x = 0;
	pos_y = 0;

	digits = 40,20,5,arial10_font,1,num_actions;
	digits = 40,60,5,arial10_font,1,num_visents;
	digits = 40,100,5,arial10_font,1,num_visentpolys;
	digits = 40,142,5,arial10_font,1,num_vismappolys;
	digits = 40,186,5,arial10_font,1,temp_texskins;
	digits = 40,230,5,arial10_font,1,temp_texbmaps;
	digits = 40,274,5,arial10_font,1,temp_texsurfs;
	digits = 40,321,5,arial10_font,1,temp_texsmaps;
	digits = 40,364,5,arial10_font,1,temp_total;
	digits = 40,410,5,arial10_font,1,temp_free;
	digits = 40,455,5,arial10_font,16,temp_fps;

	flags = overlay, refresh, d3d, translucent;
}

function toggle_debug()
{
	on_d = null; // deactivate the standard debug panel
	while (1)
	{
		temp_texskins = d3d_texskins / 1024;
		temp_texbmaps = d3d_texbmaps / 1024;
		temp_texsurfs = d3d_texsurfs / 1024;
		temp_texsmaps = d3d_texsmaps / 1024;
		temp_total = (d3d_texskins + d3d_texbmaps + d3d_texsurfs + d3d_texsmaps) / 1024;
		temp_free = d3d_texfree / 1024;
		temp_fps = 0.9 * temp_fps + 0.1 / time;

		if (key_shift == 1) & (key_d == 1)
		{
			while ((key_shift == 1) & (key_d == 1)) {wait (1);}
			debug_panel.visible = (debug_panel.visible == off);
		}
		wait (1);
	}
}
